* {
  -webkit-touch-callout: none;
    -webkit-user-select: none;
     -khtml-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none;
}

img {
	pointer-events: none;
}

#video,
#canvas,
#error,
#photoEffect,
#photoPreview {
	width: 100%;
	height: 100%;
}

#canvas,
#error,
#captureButton,
#photoPreview,
.no-camera {
	display: none;
}

#error,
#photoEffect,
#photoPreview {
	position: absolute;
	top: 0; left: 0;
	bottom: 0; right: 0;
}

#error {
	background-color: #000;
	color: #fff;
	z-index: 2;
}

#error .container {
	position: relative;
	top: 50%;
	transform: translateY(-50%);
	background-color: #000;
}

#captureButton {
	position: fixed;
	margin-left: auto;
	margin-right: auto;
	left: 0;
	right: 0;
	bottom: 1.5rem;
	border-radius: 50%;
	width: 4rem;
	height: 4rem;
	background-color: #fff;
	outline: 0;
	border: 0;
	cursor: pointer;
	transform: none;
	-webkit-transition: all .5s ease;
	transition: all .5s ease;
	-webkit-box-shadow: 10px 10px 100px 2px rgba(0,0,0,1);
	-moz-box-shadow: 10px 10px 100px 2px rgba(0,0,0,1);
	box-shadow: 10px 10px 100px 2px rgba(0,0,0,1);
}

#captureButton::after {
	content: '';
	position: absolute;
	width: 4.6rem;
	height: 4.6rem;
	border: 2px solid #fff;
	border-radius: 50%;
	cursor: pointer;
	margin: 0;
	top: -0.3rem;
	left: -0.3rem;
	transform: none;
	-webkit-transition: all .5s ease;
	transition: all .5s ease;
}

#captureButton:hover {
	background-color: #dc3545;
	transform: scale(1.1);
	cursor: pointer;
}

#captureButton:hover::after {
	transform: scale(1.05);
	cursor: pointer;
}

#captureButton:active {
	-webkit-transition: all .1s ease;
	transition: all .1s ease;
	background-color: #fff;
	transform: scale(0.85);
	cursor: pointer;
}

#captureButton:active::after {
	border: 3px solid #fff;
	-webkit-transition: all .1s ease;
	transition: all .1s ease;
	transform: scale(1.1);
	cursor: pointer;
}

#photoEffect {
	background-color: #fff;
	z-index: 1;
}

#photoEffect .spinner-border {
	display: none;
	opacity: 0;
	-webkit-transition: opacity .1s ease;
	transition: opacity .1s ease;
}

#photoEffect.loader {
	background-color: #000;
}

.no-camera,
#photoEffect .spinner-border {
	position: absolute;
	left: 0;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto;
	max-width: 100%;
	max-height: 100%;
	overflow: auto;
}

#photoEffect.loader .spinner-border {
	display: block;
	opacity: 1;
}

#photoPreview {
	background-size: cover;
}

#photoPreview .footer {
	position: absolute;
	background: -moz-linear-gradient(top, rgba(0,0,0,0) 0%, rgba(0,0,0,0.65) 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top, rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom, rgba(0,0,0,0) 0%,rgba(0,0,0,0.65) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#a6000000',GradientType=0 ); /* IE6-9 */
	left: 0;
	right: 0;
	bottom: 0;
	width: 100%;
	height: auto;
	padding: 4rem 1rem 1.5rem 1rem;
}

#photoPreview .footer .btn {
	margin-right: 0.5rem;
	float: right;
}
